Retrieve Meters stored in the Data Warehouse over a period of time.
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/dataexplorer/meters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.m3ter.com/organizations/{orgId}/dataexplorer/meters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/dataexplorer/meters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"values": [
{
"meterCode": "<string>",
"meterName": "<string>",
"measures": [
{
"measureName": "<string>",
"measureUnit": "<string>"
}
],
"dimensions": [
{
"name": "<string>",
"filter": [
"<string>"
],
"meterId": "<string>",
"attributes": [
"<string>"
]
}
]
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve Meters stored in the Data Warehouse over a period of time.
Retrieve the Meters and their dimension and measure names that are stored in the Data Warehouse over a period of time.
GET
/
organizations
/
{orgId}
/
dataexplorer
/
meters
Retrieve Meters stored in the Data Warehouse over a period of time.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
Response
Returns a list of Meters from the Data Warehouse.
Response containing Meters and their dimension names and measure names.
List of Meters.
Show child attributes
Show child attributes